Name: sugar-stats
Version: 0.2

Release: 2.1
Group: Development/Tools/Other
Summary: Library to gather Sugar usage statistics
License: GPLv3+
Url: http://wiki.sugarlabs.org/go/Platform_Team/sugar-stats

Source: sugar-stats-0.2.tar.gz
Source1: sweet.tar.gz



Requires: dbus-python
Requires: gnome-python2-libwnck
Requires: pygobject2
Requires: rrdtool-python

BuildRequires: python

Provides: sugar-stats-client
Obsoletes: sugar-stats-client

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}
AutoProv: no
AutoReq:  no
BuildArch: noarch

%description
Library to gather Sugar usage statistics

%prep
%setup -n sugar-stats-0.2

tar xzpvf %{SOURCE1} -C %{_sourcedir}


%build



%install

# Such scripts might, e.g., compress man files that will break %files logic
%undefine __os_install_post

install -m 0755 -d %{buildroot}/.dest/`python -c 'from distutils.sysconfig import get_python_lib; print get_python_lib()'` && cp -r sugar_stats %{buildroot}/.dest/`python -c 'from distutils.sysconfig import get_python_lib; print get_python_lib()'`/ && install -m 0755 -d %{buildroot}/.dest/%{_datadir}/doc/sugar-stats && cp AUTHORS COPYING HACKING README %{buildroot}/.dest/%{_datadir}/doc/sugar-stats/ && true
python %{_sourcedir}/sweet_install.py move rpm %{buildroot}/.dest %{buildroot} /usr '' '' >> sugar-stats.files
rm -rf %{buildroot}/.dest
install -m 0755 -d %{buildroot}/opt/sweets/sugar-stats
(cd %{buildroot}; find . -name "*.py" -printf "%h\n" | sort | uniq | sed s/^.// > opt/sweets/sugar-stats/pydirs)
echo /opt/sweets/sugar-stats/pydirs >> sugar-stats.files

%post
test -e /opt/sweets/sugar-stats/pydirs && for i in `cat /opt/sweets/sugar-stats/pydirs`; do python -m compileall -l $i >/dev/null; python -O -m compileall -l $i >/dev/null; done; true

%preun
test -e /opt/sweets/sugar-stats/pydirs && for i in `cat /opt/sweets/sugar-stats/pydirs`; do rm -f $i/*.pyc $i/*.pyo; done; true

%clean
rm -rf %{buildroot}

%files -f sugar-stats.files

%changelog
